Bug 91519 - redhat-logviewer fails to load.
redhat-logviewer fails to load.
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-logviewer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
: 97158 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-05-23 13:57 EDT by Alexander Farley
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-23 18:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2003-05-23 13:57:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
redhat-logviewer-0.9.0-2 fails to load with the following error message:
 unable to translate from iso-8859-1 utf-8
Traceback (most recent call last):
  File "/usr/share/redhat-logviewer/redhat-logviewer.py", line 75, in ?
    LogViewerGui.LogViewerGui(width,height, allowConfigChanges, configFile)
  File "/usr/share/redhat-logviewer/LogViewerGui.py", line 162, in __init__
  File "/usr/share/redhat-logviewer/LogViewerGui.py", line 329, in
    logClassInstance = LogFileClass.LogFileClass(key)
  File "/usr/share/redhat-logviewer/LogFileClass.py", line 74, in __init__
  File "/usr/share/redhat-logviewer/LogFileClass.py", line 140, in read_log
    self.buffer.insert_into_buffer_at_offset(iter, line)
  File "/usr/share/redhat-logviewer/LogBuffer.py", line 122, in
    errorMessage = _("Unable to read log file with proper encoding.")
NameError: global name '_' is not defined

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start redhat-logviewer
2.redhat-logviewer fails to load

Actual Results:  redhat-logviewer failed to load.

Expected Results:  redhat-logviewer would have loaded successfully.

Additional info:

I suspect that pygtk2-1.99.16-1/2 is causing the failure, as redhat-logviewer
successfully loaded before I upgraded pygtk2.
Comment 1 Tammy Fox 2003-05-23 17:03:31 EDT
Yep. It looks like the number of arguments expected by GtkTextBuffer.insert()
has changed.
Comment 2 Tammy Fox 2003-05-23 18:11:54 EDT
A fix has been added to pygtk2-1.99.16-3 so it doesn't traceback. Instead, it
says that the length argument has been deprecated. It will appear in rawhide
soon. I'll remove the length argument in redhat-logviewer the next time I
rebuild it.
Comment 3 Tammy Fox 2003-06-17 00:29:10 EDT
*** Bug 97158 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.